Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7459)
@@ -1,9 +1,7 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="" tal:attributes="for viewlet/input_name">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
 
@@ -17,13 +15,13 @@
       <br />
       <input type="file" tal:attributes="name viewlet/input_name"/>
-      <br />
+      <br /><br />
       <input type="submit" tal:condition="viewlet/file_exists"
              tal:attributes="id python:('delete_%s' % viewlet.input_name);
                 name python:('delete_%s' % viewlet.input_name)"
-             value="Delete attachment" class="button" />
+             value="Delete attachment" class="btn error" />
       <input type="submit"
                tal:attributes="id python:('upload_%s' % viewlet.input_name);
                   name python:('upload_%s' % viewlet.input_name)"
-               value="Upload new file" class="button" />
+               value="Upload new file" class="btn primary" />
       <span i18n:translate="">
         Max. file size:
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imagedisplay.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imagedisplay.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imagedisplay.pt	(revision 7459)
@@ -1,13 +1,9 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="">
+  <td class="fieldname">
         <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
   </td>
-  <td class="field">
-    <span class="widget">
+  <td>
       <img height="125px" tal:attributes="src viewlet/download_name" />
       <br />
-    </span>
   </td>
 </tr>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7459)
@@ -1,9 +1,7 @@
 <tr>
-  <td class="label">
-    <label i18n:translate="" tal:attributes="for viewlet/input_name">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
       <img align="middle" height="125px"
@@ -12,11 +10,12 @@
        tal:attributes="id python:('delete_%s' % viewlet.input_name);
           name python:('delete_%s' % viewlet.input_name)"
-       value="Delete" class="button" />
+       value="Delete" class="btn error" />
       <br /><br />
       <input type="file" tal:attributes="name viewlet/input_name"/>
+      <br /><br />
       <input type="submit"
                tal:attributes="id python:('upload_%s' % viewlet.input_name);
                   name python:('upload_%s' % viewlet.input_name)"
-               value="Upload" class="button" />
+               value="Upload" class="btn primary" />
       <span i18n:translate="">
         Max. file size:
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/mydatadropdowntabs.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/mydatadropdowntabs.pt	(revision 7459)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/mydatadropdowntabs.pt	(revision 7459)
@@ -0,0 +1,9 @@
+<li tal:attributes="class viewlet/active" data-dropdown="dropdown" >
+  <a href="#" class="dropdown-toggle" tal:content="viewlet/tab_title">Tab Title</a>
+  <ul class="dropdown-menu">
+    <li tal:repeat="target viewlet/targets">
+      <a tal:attributes="href target/url"
+         tal:content="target/title">Link Title</a>
+    </li>
+  </ul>
+</li>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentsmanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data">
 
   <table class="display dataTableManage">
@@ -46,5 +46,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentspage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentspage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/paymentspage.pt	(revision 7459)
@@ -1,7 +1,4 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
-<thead>
-</thead>
 <table class="display dataTable">
   <thead>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/setpassword.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/setpassword.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/setpassword.pt	(revision 7459)
@@ -2,16 +2,20 @@
     tal:content="view/label">Label</h2>
 <form method="POST">
-  <table>
+  <table class="form-table">
     <tbody>
-      <tr><td>
-          <label for="reg_number">Registration Number:
-          </label></td> <td>
+      <tr>
+      <td>
+          Registration Number:
+      </td>
+      <td>
           <input name="reg_number" type="text" size="15" maxlength="15"
                  value="" tal:attributes="value view/reg_number"/>
-      </td></tr>
+      </td>
+      </tr>
       <tr>
         <td>
-          <label for="ac_series">Access Code:
-          </label></td> <td>
+          Access Code:
+        </td>
+        <td>
           <span tal:replace="view/ac_prefix">PIN Prefix
           </span> -
@@ -23,5 +27,5 @@
       <tr>
         <td colspan="2">
-        <input type="submit" name="SUBMIT"
+        <input type="submit" name="SUBMIT" class="btn primary"
                value="Show Student Id and set password" /> </td>
       </tr>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studentpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studentpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studentpage.pt	(revision 7459)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -17,5 +17,5 @@
   </tbody>
   <tfoot>
-    <tr class="controls">
+    <tr>
       <td colspan="2" class="align-right">
         <input tal:repeat="action view/actions"
@@ -24,5 +24,4 @@
     </tr>
   </tfoot>
-
 </table>
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,100 +13,95 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Course Data</span></a></li>
-  <li><a href="#tab-2"><span>Study Levels</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Course Data</span></a></li>
+    <li><a href="#tab-2"><span>Study Levels</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Study Levels (Course Lists)</h3>
+      <table class="display dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="cl context/values">
+             <td>
+              <input type="checkbox"
+        		 name="val_id"
+        		 tal:attributes="value cl/__name__" />
+            </td>
+            <td> <a tal:attributes="href cl/__name__">
+              <span tal:content="cl/level">CODE</span></a>
+            </td>
+            <td>
+              <span tal:content="cl/level_title">TITLE</span>
+            </td>
+          </tr>
+        </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+      <br /><br /><br />
+      <div>
+        <span tal:condition="view/availableActions">
+          <span tal:repeat="action view/actions"
+                tal:omit-tag="">
+            <input tal:condition="python:action.label in view.tabthreeactions"
+                   tal:replace="structure action/render"/>
+          </span>
+        </span>
+        <select id="addlevel" name="addlevel">
+          <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
+            <span tal:replace="level/title">LEVELTITLE
+          </span>
+          </option>
+        </select>
+      </div>
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Study Levels (Course Lists)</h3>
-  <table class="display dataTableManage">
-    <thead>
-      <tr>
-        <th>&nbsp;</th><th>Level Code</th><th>Level Title</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="cl context/values">
-         <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value cl/__name__" />
-        </td>
-        <td> <a tal:attributes="href cl/__name__">
-          <span tal:content="cl/level">CODE</span></a>
-        </td>
-        <td>
-          <span tal:content="cl/level_title">TITLE</span>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-  <br /><br /><br />
-  <div>
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <span tal:repeat="action view/actions"
-            tal:omit-tag="">
-        <input tal:condition="python:action.label in view.tabthreeactions"
-               tal:replace="structure action/render"/>
-      </span>
-    </span>
-    <select id="addlevel" name="addlevel">
-      <option tal:attributes="value level/code" tal:repeat="level view/level_dict">
-        <span tal:replace="level/title">LEVELTITLE
-      </span>
-      </option>
-    </select>
-  </div>
-
-
-
-</div>
-</div>
 </form>  
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7459)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="filedname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,7 +19,5 @@
     <tr>
       <td>
-        <label>
           Study Mode:
-        </label>
       </td>
       <td class="field">
@@ -34,7 +29,5 @@
     <tr tal:condition="python: view.department is not None">
       <td>
-        <label>
           Department:
-        </label>
       </td>
       <td class="field">
@@ -47,7 +40,5 @@
     <tr tal:condition="python: view.faculty is not None">
       <td>
-        <label>
           Faculty:
-        </label>
       </td>
       <td class="field">
@@ -64,5 +55,5 @@
 
 
-<table class="zebra">
+<table>
   <thead>
     <tr>
@@ -72,5 +63,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values">
+    <tr class="gradeC" tal:repeat="value context/values">
       <td> <a tal:attributes="href value/__name__">
       <span tal:content="value/level">CODE</span></a></td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveladdpage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <p>Text to explain course registration procedure.</p>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studyleveleditpage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
   <h3>Course Tickets (Total Credits: <span tal:replace="view/total_credits">TOTAL</span>)</h3>
@@ -30,5 +30,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values">
+    <tr tal:repeat="value context/values" class="gradeC">
        <td>
         <input type="checkbox" name="val_id"
@@ -49,5 +49,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/actions"
           tal:omit-tag="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,95 +13,93 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data"> 
 
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span>Study Level Data</span></a></li>
-  <li><a href="#tab-2"><span>Course Tickets</span></a></li>
-</ul>
-   
-<div id="tab-1">        
-  <table class="zebra">
-  <tbody>
-  <tal:block repeat="widget view/widgets">
-    <tr>
-      <td class="label">
-        <label tal:attributes="for widget/name">
-          <span class="required" tal:condition="widget/required">*</span>
-          <span i18n:translate="" tal:content="widget/label">label</span>:
-        </label>
-      </td>
-      <td class="field">
-        <span class="widget" tal:content="structure widget">
-          <input type="text" />
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Study Level Data</span></a></li>
+    <li><a href="#tab-2"><span>Course Tickets</span></a></li>
+  </ul>
+
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
+      <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
+          </td>
+          <td>
+            <span tal:content="structure widget">
+              <input type="text" />
+            </span>
+            <tal:error tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </tal:error>
+            <tal:hint tal:condition="widget/hint">
+              <span tal:content="structure widget/hint">hint</span>
+            </tal:hint>
+          </td>
+        </tr>
+      </tal:block>
+      </tbody>
+      </table>
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.taboneactions"
+                 tal:replace="structure action/render"/>
         </span>
-        <tal:error tal:condition="widget/error">
-          <span tal:replace="structure widget/error">error</span>
-        </tal:error>
-        <tal:hint tal:condition="widget/hint">
-          <span class="hint" tal:content="structure widget/hint">hint</span>
-        </tal:hint>
-      </td>
-    </tr>
-  </tal:block>
-  </tbody>
-  </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.taboneactions"
-             tal:replace="structure action/render"/>
-    </span>
+      </div>
+    </div>
+
+    <div id="tab-2">
+      <h3>Course Tickets</h3>
+      <table class="display dataTableManage">
+      <thead>
+        <tr>
+          <th>&nbsp;</th>
+          <th>Sem.</th>
+          <th>Code</th>
+          <th>Title</th>
+          <th>Department</th>
+          <th>Faculty</th>
+          <th>Credits</th>
+          <th>Mandatory</th>
+          <th>Score</th>
+          <th>Auto</th>
+        </tr>
+      </thead>
+      <tbody>
+        <tr tal:repeat="value context/values" class="gradeC">
+          <td>
+            <input type="checkbox" name="val_id"
+      		  tal:attributes="value value/__name__" />
+          </td>
+          <td tal:content="value/semester">SEMESTER</td>
+          <td> <a tal:attributes="href value/__name__">
+          <span tal:content="value/code">CODE</span>
+          </a></td>
+          <td tal:content="value/title">TITLE</td>
+          <td tal:content="value/department">DEPARTMENT</td>
+          <td tal:content="value/faculty">FACULTY</td>
+          <td tal:content="value/credits">CREDITS</td>
+          <td tal:content="value/core_or_elective">MANDATORY</td>
+          <td tal:content="value/score">SCORE</td>
+          <td tal:content="value/automatic">AUTO</td>
+        </tr>
+      </tbody>
+      </table>
+
+      <div tal:condition="view/availableActions">
+        <span tal:repeat="action view/actions"
+              tal:omit-tag="">
+          <input tal:condition="python:action.label in view.tabtwoactions"
+                 tal:replace="structure action/render"/>
+        </span>
+      </div>
+
+    </div>
   </div>
-</div>    
-    
-<div id="tab-2">
-  <h3>Course Tickets</h3>
-  <table class="display dataTableManage">
-  <thead>
-    <tr>
-      <th>&nbsp;</th>
-      <th>Sem.</th>
-      <th>Code</th>
-      <th>Title</th>
-      <th>Department</th>
-      <th>Faculty</th>
-      <th>Credits</th>
-      <th>Mandatory</th>
-      <th>Score</th>
-      <th>Auto</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr tal:repeat="value context/values">
-      <td>
-        <input type="checkbox" name="val_id"
-  		  tal:attributes="value value/__name__" />
-      </td>
-      <td tal:content="value/semester">SEMESTER</td>
-      <td> <a tal:attributes="href value/__name__">
-      <span tal:content="value/code">CODE</span>
-      </a></td>
-      <td tal:content="value/title">TITLE</td>
-      <td tal:content="value/department">DEPARTMENT</td>
-      <td tal:content="value/faculty">FACULTY</td>
-      <td tal:content="value/credits">CREDITS</td>
-      <td tal:content="value/core_or_elective">MANDATORY</td>
-      <td tal:content="value/score">SCORE</td>
-      <td tal:content="value/automatic">AUTO</td>
-    </tr>
-  </tbody>
-  </table>
-
-  <div class="actionButtons" tal:condition="view/availableActions">
-    <span tal:repeat="action view/actions"
-          tal:omit-tag="">
-      <input tal:condition="python:action.label in view.tabtwoactions"
-             tal:replace="structure action/render"/>
-    </span>
-  </div>
-
-</div>
-</div>
 </form>  
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7459)
@@ -1,5 +1,5 @@
 <h2 tal:content="view/label">TITLE</h2>
 
-<table class="zebra">
+<table class="form-table">
 <thead>
 </thead>
@@ -7,11 +7,8 @@
   <tal:block repeat="widget view/widgets">
     <tr>
-      <td>
-        <label tal:attributes="for widget/name">
-          <span i18n:translate=""
-                         tal:content="widget/label">label</span>:
-        </label>
+      <td class="fieldname">
+        <span i18n:translate="" tal:content="widget/label">label</span>:
       </td>
-      <td class="field" tal:on-error="default">
+      <td tal:on-error="default">
         <div class="widget" tal:content="structure widget">
           <input type="text" />
@@ -22,5 +19,5 @@
   <tr>
     <td>
-      <label>Total Credits:</label>
+      Total Credits:
     </td>
     <td>
@@ -33,5 +30,5 @@
 <h3>Course Tickets</h3>
 
-<table class="display dataTable" >
+<table class="display dataTable">
   <thead>
     <tr>
@@ -48,5 +45,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value context/values">
+    <tr tal:repeat="value context/values" class="gradeC">
       <td tal:content="value/semester">SEMESTER</td>
       <td> <a tal:attributes="href value/__name__">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/tests/test_browser.py	(revision 7459)
@@ -807,5 +807,5 @@
         self.browser.getLink("Clear student").click()
         self.assertTrue('Student has been cleared' in self.browser.contents)
-        self.assertTrue('State: <span>cleared</span>' in self.browser.contents)
+        self.assertTrue('cleared' in self.browser.contents)
         self.browser.getLink("Reject clearance").click()
         self.assertTrue('Clearance has been annulled' in self.browser.contents)
@@ -814,6 +814,5 @@
         self.assertEqual(self.browser.url, self.student_path +
             '/contactstudent?subject=%s' % urlmessage)
-        self.assertTrue('State: <span>clearance started</span>'
-            in self.browser.contents)
+        self.assertTrue('clearance started' in self.browser.contents)
         IWorkflowInfo(self.student).fireTransition('request_clearance')
         self.browser.open(self.clearance_student_path)
@@ -821,6 +820,5 @@
         self.assertTrue('Clearance request has been rejected'
             in self.browser.contents)
-        self.assertTrue('State: <span>clearance started</span>'
-            in self.browser.contents)
+        self.assertTrue('clearance started' in self.browser.contents)
         # CO does now also see the contact form and can send a message
         self.browser.getControl(name="form.subject").value = 'Important subject'
@@ -917,5 +915,5 @@
         self.browser.getLink("Validate courses").click()
         self.assertTrue('Course list has been validated' in self.browser.contents)
-        self.assertTrue('State: <span>courses validated</span>' in self.browser.contents)
+        self.assertTrue('courses validated' in self.browser.contents)
         self.browser.getLink("Reject courses").click()
         self.assertTrue('Course list request has been annulled'
@@ -924,6 +922,5 @@
         self.assertEqual(self.browser.url, self.student_path +
             '/contactstudent?subject=%s' % urlmessage)
-        self.assertTrue('State: <span>school fee paid</span>'
-            in self.browser.contents)
+        self.assertTrue('school fee paid' in self.browser.contents)
         IWorkflowInfo(self.student).fireTransition('register_courses')
         self.browser.open(L110_student_path)
@@ -931,6 +928,5 @@
         self.assertTrue('Course list request has been rejected'
             in self.browser.contents)
-        self.assertTrue('State: <span>school fee paid</span>'
-            in self.browser.contents)
+        self.assertTrue('school fee paid' in self.browser.contents)
         # CA does now see the contact form and can send a message
         self.browser.getControl(name="form.subject").value = 'Important subject'
@@ -977,5 +973,5 @@
         self.assertTrue('Password changed' in self.browser.contents)
         # We are still logged in. Changing the password hasn't thrown us out.
-        self.browser.getLink("My Data").click()
+        self.browser.getLink("Base Data").click()
         self.assertEqual(self.browser.url, self.student_path)
         # We can logout
